moodleNotifer

Functions
updateDB.py File Reference

This file is used for Updating the Moodle Database. More...

Go to the source code of this file.

## Functions
def | main.updateDB.new_user_firstContact (moodle_token)
| This definition checks info if user has taken courses that are not in subject database and assigns user as updater if yes.
def | main.updateDB.updater (moodle_token, subjects)
| This definition is called by update_database_daily to update the subject database.
def | main.updateDB.token_with_new_subject (moodle_token, sub_name, sub_id)
| This definition called by new_user_firstContact to update the new subject details in subject database.

## Detailed Description

This file is used for Updating the Moodle Database.

Definition in file updateDB.py.